package com.imtm1.starwarsgame;

import androidx.annotation.RequiresApi;
import androidx.appcompat.app.AppCompatActivity;

import android.animation.ObjectAnimator;
import android.app.Activity;
import android.content.Context;
import android.graphics.Path;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.PathInterpolator;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {

    ImageView padExte;
    ImageView padCenter;
    ViewGroup mainLayout;
    ImageView asteroid1;

    @RequiresApi(api = Build.VERSION_CODES.LOLLIPOP)
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        padExte = findViewById(R.id.padExte);
        padCenter = findViewById(R.id.padCenter);
        mainLayout = findViewById(R.id.main);
        asteroid1 = findViewById(R.id.asteroid1);


        Path path = new Path();
        path.arcTo(0f, 0f, 1000f, 1000f, 270f, -180f, true);
        ObjectAnimator animator = ObjectAnimator.ofFloat(asteroid1, View.X, View.Y, path);
        animator.setDuration(20000);
        animator.start();


        Runnable runnable = new Runnable() {
            @Override
            public void run() {

                JoyStickView joyStickView = new JoyStickView(mainLayout,MainActivity.this);
                padCenter.setOnTouchListener(joyStickView.touchListener);

            }
        };

        Thread threadJS = new Thread(runnable);
        threadJS.start();





    }
}